Bug 113965 - No scsi nodes (/dev/sdx) defined in Distribution.
Summary: No scsi nodes (/dev/sdx) defined in Distribution.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: MAKEDEV (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: s390 Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 107563
TreeView+ depends on / blocked
 
Reported: 2004-01-20 19:16 UTC by Frank LeFevre
Modified: 2015-03-05 01:13 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-10 21:11:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
workaround script to automatically make /dev/sd* device files (104.88 KB, text/plain)
2004-03-18 17:16 UTC, Brock Organ
no flags Details

Description Frank LeFevre 2004-01-20 19:16:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0; YComp 
5.0.0.0; H010818)

Description of problem:
Unable to find node definitions for scsi devices. Had to manually 
create them using mknod commands.

Version-Release number of selected component (if applicable):
mknod

How reproducible:
Always

Steps to Reproduce:
1.ls -al /dev/sd*

    

Actual Results:  No block files found.

Expected Results:  Nodes should have been predefined.

Additional info:

Manually added them:
   mknod sda b 8 0
   mknod sda1 b 8 1
   mknod sdb b 8 16
   mknod sdb1 b 8 17
   mknod sdc b 8 32
   mknod sdc1 b 8 33
   mknod sdd b 8 48
   mknod sdd1 b 8 49
   mknod sde b 8 64
   mknod sde1 b 8 65
   mknod sdf b 8 80
   mknod sdf1 b 8 81
   mknod sdg b 8 96
   mknod sdg1 b 8 97
   mknod sdh b 8 112
   mknod sdh1 b 8 113
   mknod sdi b 8 128
   mknod sdi1 b 8 129
   mknod sdj b 8 144
   mknod sdj1 b 8 145

Comment 11 Brock Organ 2004-03-18 17:16:17 UTC
Created attachment 98657 [details]
workaround script to automatically make /dev/sd* device files

Comment 12 Frank LeFevre 2004-03-18 20:05:12 UTC
Is there any reason why this can't be included in the mkdev package? 
Just seems that it would remove one piece of complexity for folks 
setting up scsi on Z for the first time. 

Comment 13 Bob Johnson 2004-03-18 22:25:39 UTC
At this date for U2 we can not add this.
Does the workaround work ?
We can entertain this for U3.


Comment 18 Brock Organ 2004-07-01 17:08:29 UTC
internally verified fixed with MAKEDEV-3.3.12.3-1 ...

Comment 20 Bob Johnson 2005-03-08 21:31:16 UTC
IBM pleae retest, believe this is in U3.

Comment 21 Brock Organ 2005-03-10 21:11:12 UTC
looked at U4 system, verified /dev/sd* nodes present ... 



Note You need to log in before you can comment on or make changes to this bug.